
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>当ASP.NET撞上JSF之应用程序的国际化 / iVAN</title>

    <meta name="description" content="当ASP.NET撞上JSF之应用程序的国际化 asp.net|js|程序 国际化,是指在你的应用程序中支持多种语言和文化.这包括提供本地化的文本消息和格式(例如日期),以便在世界不同地方的用户能够以一种他们理解的格式和语言来观看你的web页面.随着全球web的不断增长,这种类型的功能也变得日益重要.我们将快速地看一下每个框架如何允许你外在化页面文本(例如域标签)以提供不同的本地化支持. 支持不同的本地化的JSF应用程序与其它J2EE应用程序实现方式差不多使用一样的实现方式-通过把本地文本数据存储到一个资源包属性文件中.你将对每一种本地化支持">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">当ASP.NET撞上JSF之应用程序的国际化</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>asp.net|js|程序</p>
<p>　　国际化，是指在你的应用程序中支持多种语言和文化。这包括提供本地化的文本消息和格式（例如日期），以便在世界不同地方的用户能够以一种他们理解的格式和语言来观看你的web页面。随着全球web的不断增长，这种类型的功能也变得日益重要。我们将快速地看一下每个框架如何允许你外在化页面文本（例如域标签）以提供不同的本地化支持。</p>
<p>　　支持不同的本地化的JSF应用程序与其它J2EE应用程序实现方式差不多使用一样的实现方式-通过把本地文本数据存储到一个资源包属性文件中。你将对每一种本地化支持提供一个属性文件（每一种本地化以一个语言代码和一个国家代码（例如en-US加以标志）。切换显示语言其实是一个重定向到另外一个properties文件的问题。在前一个ASP.NET发行版本中，要在一个ASP.NET应用程序中支持不同的本地化相当麻烦，然而，在ASP.NET 2.0中在这一方面有了很大的改进。例如，在ASP.NET 2.0中，当在不同语言之间切换时不需要重新编译。</p>
<p>　　为了使JSF应用程序支持不同本地化功能，我把一个WebReservations.properties文件添加到应用程序并实现了支持en-US的本地化。预订页面的标题为"Make a Reservation for Conference Room"。我简单地在这个资源绑定属性文件中添加了一个键/值对：</p>
<p>　　#示例ResourceBundle属性文件</p>
<p>　　ReserveRoomTeamLabel=Reservation Team:</p>
<p>　　我可以为同一个组件创建任何数量的本地化特定的消息。然后，我需要告诉应用程序如何使用这个文件-通过把下列语句添加到faces-config.xml文件中：</p>
<p>＜message-bundle＞WebReservations.properties＜/message-bundle＞<br />＜locale-config＞<br />＜default-locale＞en＜/default-locale＞<br />＜!--Add other locales here.--＞<br />＜/locale-config＞<br />　　通过引用一个资源包，你可以使用一个到这个键的引用来代替在JSF标注中的文本。这里有一个例子：</p>
<p>＜ui:label binding="#{ReserveRoom.lblReserveTeam}" id="lblReserveTeam" style="left: 48px; top: 96px; position: absolute" text="#{messages.ReserveRoomTeam}"/＞<br />　　ASP.NET为不同的本地化提供资源文件支持。这些资源文件都有一个扩展名.resx。ASP.NET 2.0中引入了资源表达式-你可以把它们放到ASP.NET标注中。这些表达式看上去类似于ASP.NET数据绑定表达式。注意，开发者可以一起指定一个应用程序的本地和全局资源。在这个例子中，我建立了一个本地资源文件以相应于新的预订页面。</p>
<p>　　本地资源需要放置在一个文件夹"App_LocalResources"下。这个文件夹下的每一个文件都应该具有类似于"{aspx page name}].aspx.resx"的名字。我创建了一个文件Reservations.aspx.resx。在这个文件中，我为"Reservation Team:"添加了一个入口-就象我在JSF应用程序所实现的那样。为使页面能够存取这些资源并且在运行时刻能够给标签赋予相同的文本，你可以添加下面的表达式：</p>
<p>＜asp:Label ID="Tea" runat="server" Text=＜%$ Resources:ReservationsTeamLabel %＞＞＜/asp:Label＞<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MTkyMjM1NTkzLmpwZw==.jpg"><br />ASP.NET-添加本地化的文本<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MTkyMjM1NTc0LmpwZw==.jpg"><br />JSF-添加本地化的文本<br />　　如果你还没有开发过一个实现国际化要求的应用程序，那么你将来很可能会做这样的工作。不过，无论是使用JSF还是使用ASP.NET都会轻松地实现这种任务。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 13:51:27</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e6%9c%ac/" title="文本">文本</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e7%a8%8b%e5%ba%8f/" title="应用程序">应用程序</a>, <a href="https://www.iamivan.net/tag/%e6%94%af%e6%8c%81/" title="支持">支持</a>, <a href="https://www.iamivan.net/tag/%e8%b5%84%e6%ba%90/" title="资源">资源</a>, <a href="https://www.iamivan.net/tag/%e6%9c%ac%e5%9c%b0%e5%ba%94%e7%94%a8/" title="本地应用">本地应用</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>当ASP.NET撞上JSF之应用程序的国际化的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZxq5M.html" rel="bookmark">当ASP&period;NET撞上JSF之应用程序安全性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|js|安全|安全性|程序 JSF规范本身并没有强调安全性问题.而是,当你创建安全的J2EE应用程序时,相应的安全机制也一起应用到JSF中.ASP.NET也提供许多安全选项,而且很多ASP.NET安全性被绑定到Windows平台(你可能已经猜出).例如,一个运行于企业内网上的ASP.NET应用程序能够容易地根据他们的Windows域登录信息认证用户.在ASP.NET 2.0有一些新的登录控件来支持你快速地添加登录功能(如为你的应用程序增加登录表单). 错误处理与调试 需要再次指出,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apXQDAz.html" rel="bookmark">当ASP&period;NET撞上JSF之框架比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|js|比较 使用经典的ASP或JSP技术构建应用程序经常意味着与HTML标注混合编码.然而,在创建这些技术的初期,与其以前使用的方法相比,这些平台为构建web应用程序提供更多的优势.JSP和ASP都提供了相似的对象模型,例如在JSP和ASP应用程序中都可以使用包括Request,Response和Session等对象.现在,在隐蔽处理HTTP协议的无状态特征所带来的复杂性方面还没有出现真正的软件尝试. ASP.NET和JSF框架都是基于组件和事件驱动的.也就是说,在一个表单上的组			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6VloM.html" rel="bookmark">当ASP&period;NET撞上JSF之构建应用程序的异同</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|js|程序 理想情况下,ASP.NET和JSF web页面应该包含很少的代码而且只是包含必要的HTML和标签来生成页面的组件,一个页面的事件逻辑驻留于代码文件中.在ASP.NET中,每个web页面与一个相应的子类化页面ASP.NET类的.NET类文件相关联.有时,这些文件被引用为&quot;code-behind&quot;文件.在JSF中,每个web页面都有一个相关联的支持JavaBean类.ASP.NET的code-behind文件和JSF支持bean都包含页面属性(例如标签和输入域)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM99y3M.html" rel="bookmark">当ASP&period;NET撞上JSF之校验输入方式的差异</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|js 在大多数应用程序中,必须允许用户把数据输入到系统中,因此,校验要求几乎存在于所有应用程序中.在本文中,这两个示例应用程序显示一个可用房间列表并且允许用户显示任何与该房间相关的预订信息.对于每个房间都有一个相应的链接-直接展示给用户一个在线表单-你可以立即进行新的预订.下面显示出这两个应用程序的预订表单屏幕快照. ASP.NET预订表单JSF预订表单 在这些表单中,用户首先输入预订的个人或团体的名称.然后,用户输入一个新预订的开始和结束时间.作为开发者,你必须考虑一个用户所有			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VzwNZdp.html" rel="bookmark">当ASP&period;NET撞上JSF之模板化、式样和主题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|js|模板 模板化 把一个web页面中的跨越多个不同页面的通用部分独立出来经常是很有好处的,这样就可以实现内容重用和不会出现标注的重复问题.应用程序页眉和页脚就是跨越你的网站重用页面部分的最好实例.模板化鼓励你定义一种&quot;模板&quot;页面-你使用它来仅代替在页面间不断改变的内容,而让其它的内容保持相同.JSF没有提供的内置的模板化支持.在J2EE web应用程序开发中使用的一种流行模板是Struts Tiles工程.Tiles也可以与JSF一起使用.Java Studio Cr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeKo7M.html" rel="bookmark">ASP实例：一个简单的ASP无组件上传类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简单的ASP无组件上传类,发出来让大家看看.可以做做实验! 以下为引用的内容: &lt;%@ language=&quot;javascript&quot;%&gt;&lt;%var self = Request.serverVariables(&quot;SCRIPT_NAME&quot;);if (Request.serverVariables(&quot;REQUEST_METHOD&quot;)==&quot;POST&quot;){        var oo = new uploadFile(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVmRQp.html" rel="bookmark">ASP：利用ASP把图片上传到数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ASP(Active Server Pages)是Microsoft很早就推出的一种WEB应用程序解决方案,也是绝大多数从事网站开发人员很熟悉的一个比较简单的编程环境.通过ASP我们可以创建功能强大的动态的WEB应用程序.ASP虽然功能很强大,但有些功能用纯ASP代码完成不了,为了能保证开发出功能更加强大的WEB应用程序,我们可以借助调用COM组件. 在日常工作中,例如开发一个&quot;商品网上销售系统&quot;吧,为了使顾客对商品的外观有所了解,也就是顾客在看商品的文字介绍的同时在文字的旁边有该商品			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/dzZkmwb.html" rel="bookmark">Asp无组件上传带进度条&lpar;续&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上传|无组件 几个月前,写过一篇关于Asp无组件上传带进度条的Blog,当时主要分析了一下通过Web文件上传并在后台获取分析数据的实现原理.其中实现进度条的根本就是要实现分块获取数据,根据分块大小和块数记录已上传大小.还有一些具体的细节问题当时并没有说清楚: Q: 进度信息如何访问?A: 进度信息保存在Application中,每次上传时生成一个进度ID,根据这个进度ID可以检索Application中的当前上传进度信息. Q: 进度信息以什么形式保存在Application中?A: Asp太弱			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBxydp.html" rel="bookmark">ASP无组件上传错误 ASP 0104的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				错误|解决|上传|无组件 问题描述:ASP无组件上传程序无法上传较大的文件&quot;Request 对象 错误 'ASP 0104 : 80004005'&quot;,(大概大于100kb就不行),但是原先在2000 server中可以上传5m左右的文件. 解决方法:在IIS属性中选中&quot;允许直接编辑配置数据库&quot;,然后.在服务里关闭iis admin service服务找到windows\system32\inesrv\下的metabase.xml编辑其中的ASPMaxRequestE			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAYqeM.html" rel="bookmark" class="title">Photoshop打造唯美的暗调紫红色树林人物图片</a>
					<div>
						素材图片本身也比较暗,调色的时候,我们只需要把暗部颜色加深并增加蓝紫色,黄绿色部分转为橙红色,再在高光部分增加一点淡蓝色即可. 原图 最终效果					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boJGdz.html" rel="bookmark" class="title">2009年度全球50个最佳网站</a>
					<div>
						距新浪科技报道,美国&lt;时代&gt;周刊评出了2009年&quot;50个最佳网站&quot;,图片分享网站Flickr.社会化书签网站Delicious.微博客网站Twitter.谷歌和视频网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b238rM.html" rel="bookmark" class="title">ASP&period;NET一个最简单的会员登陆代码</a>
					<div>
						asp.net 是用来新手入门的,高手们不要见笑呀!string conn = &quot;server=.;database=login;user id=sa;pwd=123&quot;;      ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1KXdz.html" rel="bookmark" class="title">防范ASP木马的十大基本原则</a>
					<div>
						木马 由于ASP它本身是服务器提供的一贡服务功能,特别是最近由dvbbs的upfile文件出现漏洞以来,其高度的隐蔽性和难查杀性,对网站的安全造成了严重的威胁.因此针对ASP木马的防范和清除,为网管人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5P8aM.html" rel="bookmark" class="title">掌握SEO与网站内容的平衡很重要</a>
					<div>
						SEO和内容处于一种很微妙的关系.看互联网行业之中,SEO优秀的网站不少,但真的说它内容好,估计即便网站自身也不敢断言.不少SEO好的网站,当点击之后有种被欺骗的感觉,来了第一次不会再去第二次.内容好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balZnmz.html" rel="bookmark" class="title">在Dreamweaver里面添加音乐播放器背景音乐的方法</a>
					<div>
						  1.首先在在站点中新建HTML项目. 2.选择Dreamweaver的&quot;设计&quot;窗口,插入-布局对象-Div标签.在随后跳出的&quot;插入div标签&quot;对话框中直接点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkG741p.html" rel="bookmark" class="title">Linux中使用cgroups控制内存</a>
					<div>
						  cgroups 中有个 memory 子系统,用于限制和报告进程的内存使用情况 . 其中,很明显有两组对应的文件,一组带 memsw ,另一组不带 代码如下: memory.failcnt mem ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8m1eb.html" rel="bookmark" class="title">百度贴吧怎么找人</a>
					<div>
						  1.首先我们要进入到百度贴吧 2.在下载框里输入对方的贴吧id,并点击全吧搜索 3.搜索出来的第一条结果将是你想找的人,可以点击关注他,或是偷偷查看他的动态.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Zva3b.html" rel="bookmark" class="title">Win7系统无法复制粘贴怎么办</a>
					<div>
						  电脑使用中比较常用的就是复制粘贴功能,特别是办公族用户,当我们看到精彩文章内容时会通过&quot;Ctrl+C&quot;复制和&quot;Ctrl+V&quot;来粘贴并保存,当然也可以通过鼠标 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRYN5p.html" rel="bookmark" class="title">笔记本清理灰尘图文教程</a>
					<div>
						  笔记本怎么清理灰尘呢?使用笔记本电脑的时候通常会因为温度过高,而导致自动重启.死机.蓝屏等问题,主要原因是笔记本散热不好.但是笔记本散热不好除了笔记本本身的设计原因外,很重要的一个原因就是笔记本的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArNmKp.html" rel="bookmark" class="title">最好的计划是略有闲余的计划，用于缓冲必然出现的错误与突发事件&lpar;转&rpar;</a>
					<div>
						    最近在看一本名为&lt;稀缺&gt;的书,作者从行为经济学的角度解释了穷人为什么会更穷,忙碌的人越来越没有时间,节食的人总是失败.由于缺乏闲余导致的带宽负担会进一步导致稀缺,由于总是优先处理紧 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6e1LAb.html" rel="bookmark" class="title">字符串-&lbrack;c语言&rsqb;关于 scanf&lpar;&rpar; 和 char数组 的小实验的问题</a>
					<div>
						问题描述 [c语言]关于 scanf() 和 char数组 的小实验的问题 写了三个小的几乎一样的test代码,但是输出却不同,不明白为什么,求大神指点.全部代码如下:#include void su ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3XAZz.html" rel="bookmark" class="title">Python文件夹与文件的操作实现代码&lowbar;python</a>
					<div>
						有关文件夹与文件的查找,删除等功能 在 os 模块中实现.使用时需先导入这个模块, 导入的方法是: import os 一.取得当前目录 s = os.getcwd() # s 中保存的是当前目录(即 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7WLKz.html" rel="bookmark" class="title">自动化测试-RFS中上传文档自动化脚本，集成在jenkins中执行不通过，不知道怎么解决？</a>
					<div>
						问题描述 RFS中上传文档自动化脚本,集成在jenkins中执行不通过,不知道怎么解决? RFS中web上传文档(非标准上传控件)自动化脚本,集成在jenkins里运行,脚本是执行通过了,但实际图片并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR00Zb.html" rel="bookmark" class="title">Cocos2D v3&period;4&period;9粒子效果不能显示的原因分析及解决办法</a>
					<div>
						大熊猫猪·侯佩原创或翻译作品.欢迎转载,转载请注明出处. 如果觉得写的不好请多提意见,如果觉得不错请多多支持点赞.谢谢! hopy ;) 在游戏App中为了衬托气氛我们往往使用一些特殊的图形效果,粒子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlmBrp.html" rel="bookmark" class="title">PMD Warnings 警告类型</a>
					<div>
						PMD Warnings 警告类型 一. Type: UnusedModifier Category: Unused Code(未使用的代码) 二.导入(import) 的包未使用到 [Ctrl+Sh ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RDAob.html" rel="bookmark" class="title">linux中crontab不能正常执行原因</a>
					<div>
						1 crond服务未启动 crontab不是Linux内核的功能,而是依赖一个crond服务,这个服务可以启动当然也可以停止.如果停止了就无法执行任何定时任务了,解决的方法是打开它: crond 或  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBKVjz.html" rel="bookmark" class="title">ios-IOS 怎么主动 停止当前触摸事件</a>
					<div>
						问题描述 IOS 怎么主动 停止当前触摸事件 在 UIScrollView 里滑动,当滑动到某一位置时,就主动停止当前触摸. 怎么可以强制中断当前触摸或者滑动. 可以调用 scrollView tou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN3oxM.html" rel="bookmark" class="title">中国手机市场品牌市场份额排名重新洗牌，国产品牌整体市场份额提升幅度较大</a>
					<div>
						据&lt;中国http://www.aliyun.com/zixun/aggregation/2876.html&quot; style=&quot;line-height: 1.6;&quot;&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyDdAz.html" rel="bookmark" class="title">在N多气象服务构成的&amp;quot&semi;疯狂数据城&amp;quot&semi; AS8000挑起大梁</a>
					<div>
						知道仅仅是简单的&quot;明天有雨&quot;的预报,气象部门要处理多少数据么?几十G,几千G?NO,气象部门告诉我们,真实处理数据量往往达到了TB甚至PB的级别!这就不难理解西安市气象局为啥把对高 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RX8Bz.html" rel="bookmark" class="title">批处理编程的问题-如何替换一个文本文件中每一行的某个字符</a>
					<div>
						问题描述 批处理编程的问题-如何替换一个文本文件中每一行的某个字符 将1.txt中每一行的替换成 例如:ordertest1ordertest1.csproj					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NBX3p.html" rel="bookmark" class="title">JQuery AJAX 中文乱码问题解决&lowbar;jquery</a>
					<div>
						解决方案:     提交和接收均为utf-8或gbk编码     对提交的数据调用JQuery函数encodeURI进行编码再提交或显示或链接既可     url = encodeURI(url);  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Nl8Zb.html" rel="bookmark" class="title">试用google search的Ajax api&lowbar;应用技巧</a>
					<div>
						最近两个月访问google老抽风,也8知道伟大的GFW使了些什么手段.虽然形式不容乐观,仍然是看到了狗狗发布了google adsense api和google search ajax api,显然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmwARp.html" rel="bookmark" class="title">asp&period;net C&num;连接各种数据库方法代码</a>
					<div>
						asp教程.net C#连接各种数据库教程方法代码 连接Access 程序代码: ----------------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8qZKb.html" rel="bookmark" class="title">sqlserver 增删改查一些不常用的小技巧&lowbar;MsSql</a>
					<div>
						一 Insert 语句 1.在数据中只插入默认值: insert into [DBTrain].[dbo].[log_info] default values 2.在可以为null 的字段中,如果要设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvEmAb.html" rel="bookmark" class="title">《精通移动App测试实战：技术、工具和案例》一2&period;2　JUnit在Android开发中的应用</a>
					<div>
						2.2 JUnit在Android开发中的应用 2.2.1 单元测试的重要性 前面我们提到了单元测试,那么什么叫单元测试呢?单元测试(Unit Testing),是指对软件中的最小可测试单元进行的检查 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvWRvM.html" rel="bookmark" class="title">本人写的数据库常用函数（存储过程中经常要用到）</a>
					<div>
						GO /****** 对象: UserDefinedFunction [dbo].[fun_get_LowerFirst] 脚本日期: 08/04/2012 13:03:56 ******/ IF E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPgVEp.html" rel="bookmark" class="title">选址攻略：数据中心选址六大原则</a>
					<div>
						确定数据中心的选址是一家公司的关键决策之一,因为其涉及到一家公司的发展战略和目标.任何关于数据中心的选址的讨论都无法避开诸如清洁的能源供应.通信.数据中心层等因素.故企业的管理层必须要给予企业的总拥有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdAgxz.html" rel="bookmark" class="title">菜市场摆摊的黑色幽默：券商营业部承包新三板乱象</a>
					<div>
						近日,在券商新三板人士微信圈中流传着这样一张图片:深圳某券商营业部在菜市场门口摆摊,窄窄的书桌套上寒酸的红罩帘,上面赫然大书&quot;证券开户&quot;.&quot;新三板承揽&quot;.今年以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zen36Ob.html" rel="bookmark" class="title">配置解决Nginx服务器中WordPress路径不自动加斜杠问题&lowbar;nginx</a>
					<div>
						问题是这样的:我习惯在博客地址后面直接加&quot;wp-admin&quot;敲回车进入WordPress后台,但是进去以后发现不管我点任何一个管理子项,一律404(找不到页面),瞬间我就囧了,这是 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
